    Report the current state of the Sherpa session.

show_all(id=None, outfile=None, clobber=False)
id - int or str, optional
outfile - str, optional
clobber - bool, optional

Display information about one or all of the data sets that have been loaded into the Sherpa session. The information shown includes that provided by the other show_xxx routines, and depends on the type of data that is loaded.

PARAMETERS

The parameters for this function are:

Parameter
Definition
id
The data set. If not given then all data sets are displayed.
outfile
If not given the results are displayed to the screen, otherwise it is taken to be the name of the file to write the results to.
clobber
If `outfile` is not none , then this flag controls whether an existing file can be overwritten ( True ) or if it raises an exception ( False , the default setting).

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023